function f_treeplot_topology(tree,xoffset,yoffset,fontsize,labels)

[x,y,h]=treelayout(tree);
nn=length(x);

axis([0 1 0 1]);

for ii=1:nn,
  plot (x(ii), y(ii),'.','Markersize',10,'Color','red');
  if(tree(ii)~=0),
       plot ([x(ii), x(tree(ii))], [y(ii), y(tree(ii))], 'r-');
  end
end
 
if(labels~=0),
  for ii=1:nn,
    set(text(x(ii)+xoffset,y(ii)+yoffset,num2str(labels(ii))),'FontSize',fontsize);  
  end
end


xlabel(['tree height = ' int2str(h+1)]);
